_PurpleBuddyIconSpec Struct Reference

A description of a Buddy Icon specification. More...

`#include <prpl.h>`

## Data Fields

char * | format
| This is a comma-delimited list of image formats or `NULL` if icons are not supported. More...
int | min_width
| Minimum width of this icon
int | min_height
| Minimum height of this icon.
int | max_width
| Maximum width of this icon
int | max_height
| Maximum height of this icon.
size_t | max_filesize
| Maximum size in bytes.
PurpleIconScaleRules | scale_rules
| How to stretch this icon.

## Detailed Description

A description of a Buddy Icon specification.

This tells Purple what kind of image file it should give this prpl, and what kind of image file it should expect back. Dimensions less than 1 should be ignored and the image not scaled.

Definition at line 85 of file prpl.h.

## Field Documentation

## format

char* _PurpleBuddyIconSpec::format

This is a comma-delimited list of image formats or `NULL` if icons are not supported.

Neither the core nor the prpl will actually check to see if the data it's given matches this; it's entirely up to the UI to do what it wants

Definition at line 91 of file prpl.h.

The documentation for this struct was generated from the following file:

- prpl.h